Bug 12840 - finder sidebar showing question mark instead of icon when using ip to connect with vfs_fruit
finder sidebar showing question mark instead of icon when using ip to connect...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.6.5
All Mac OS X
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 20:49 UTC by thomas.schwark
Modified: 2017-07-25 09:27 UTC (History)
2 users (show)

See Also:


Attachments
smb.conf (13.12 KB, text/plain)
2017-06-13 20:49 UTC, thomas.schwark
no flags Details
patch from master for 4.7, and 4.6 (3.53 KB, patch)
2017-07-13 10:12 UTC, Guenther Deschner
slow: review-
Details
patch from master for 4.7, 4.6 and 4.5 (3.60 KB, patch)
2017-07-13 10:32 UTC, Guenther Deschner
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thomas.schwark 2017-06-13 20:49:00 UTC
Created attachment 13273 [details]
smb.conf

Hey samba team,

first of all thanks for the great work and the project.

I attached my configuration. If you connect to the linux server (arch linux with latest stable samba 4.6.5) from any macOS clients (sierra, high sierra) via finder by using:

menu bar
go to
connect to server
(and use the ip address here, like)
smb://192.168.1.10

to connect to the server, the finder in the sidebar displays a question mark instead of a computer icon in the finder sidebar.
If I just disable fruit in my configuration for the connected share, the icon appears in the finder sidebar as expected.

It would be very nice to see this fixed in the next release.

Additionally if you find a setting in my config file that does not look right or can be done better I would be thankful for any recommendation.

Thanks in advance

Kind Regards



Tom
Comment 1 Guenther Deschner 2017-07-13 10:12:15 UTC
Created attachment 13373 [details]
patch from master for 4.7, and 4.6
Comment 2 Ralph Böhme 2017-07-13 10:26:40 UTC
Comment on attachment 13373 [details]
patch from master for 4.7, and 4.6

Lacking cherry-picket tag. Btw, what about 4.5?
Comment 3 Guenther Deschner 2017-07-13 10:32:13 UTC
Created attachment 13374 [details]
patch from master for 4.7, 4.6 and 4.5
Comment 4 Ralph Böhme 2017-07-13 11:07:57 UTC
Reassigning to Karolin for inclusion in 4.5, 4.6 and 4.7
Comment 5 Karolin Seeger 2017-07-23 20:02:36 UTC
(In reply to Ralph Böhme from comment #4)
Pushed to autobuild-v4-{7,6,5}-test.
Comment 6 Karolin Seeger 2017-07-25 09:27:11 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!